=== common/CMakeLists.txt ===
#  cmake rules for eurephia - common static library
#
#  GPLv2 only - Copyright (C) 2008 - 2010
#               David Sommerseth <dazo@users.sourceforge.net>
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; version 2
#  of the License.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
PROJECT(eurephiaCOMMON C)
cmake_minimum_required(VERSION 2.6)

# Compiler settigns
INCLUDE_DIRECTORIES(. ../database)

# Only compile these files if we have libxml2
SET(add_xml_code "")
IF(LIBXML2_FOUND)
        SET(add_xml_code
             eurephia_xml.c
             ../database/eurephiadb_mapping.c
	)
ENDIF(LIBXML2_FOUND)


#
# Create a static library
#
# Will contain all common functions used by most of the
# eurephia modules
#
ADD_LIBRARY( eurephiacommon STATIC
             certinfo.c
             eurephia_getsym.c
             eurephia_log.c
             eurephia_nullsafe.c
             eurephia_values.c
             passwd.c
             randstr.c
             sha512.c
             ../database/eurephiadb.c
             ${add_xml_code}
)

# Output name will be libeurephiacommon.a
SET_TARGET_PROPERTIES( eurephiacommon PROPERTIES COMPILE_FLAGS -fPIC)
