=== utils/CMakeLists.txt ===
#  cmake rules for eurephia - utilities
#
#  GPLv2 only - Copyright (C) 2008 - 2010
#               David Sommerseth <dazo@users.sourceforge.net>
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; version 2
#  of the License.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
PROJECT(eurephia_utils C)
cmake_minimum_required(VERSION 2.6)

#
# Only build these tools if the eurephiadm utility will be built
#
IF(EUREPHIADM)
  # Compiler settings
  INCLUDE_DIRECTORIES(../common ../database ../eurephiadm)

  # Add the needed eurephia defines
  ADD_DEFINITIONS(-DPLUGINDIR="${PLUGINDIR}")
  IF(FW_IPTABLES)
        ADD_DEFINITIONS(-DFW_IPTABLES)
  ENDIF(FW_IPTABLES)

  # Define the eurephia_init build
  ADD_EXECUTABLE(eurephia_init
		 eurephia_init.c
                 benchmark.c
                 ../eurephiadm/get_console_input.c
                 ../eurephiadm/argparser.c
                 ../eurephiadm/client_context.c
		)
  TARGET_LINK_LIBRARIES(eurephia_init dl crypto common ${EXTRA_LIBS})

  # Define the saltdecode build
  ADD_EXECUTABLE(eurephia_saltdecode
                 eurephia_saltdecode.c
		 ../eurephiadm/get_console_input.c)
ENDIF(EUREPHIADM)
