=== xslt/eurephiadm/CMakeLists.txt ===
#  cmake rules for eurephia - XSLT templates for eurephiadm
#
#  GPLv2 only - Copyright (C) 2008 - 2010
#               David Sommerseth <dazo@users.sourceforge.net>
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; version 2
#  of the License.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

#
# XSLT templates to be installed together with eurephiadm
#
SET(eurephiadm_XSLT
      adminaccess.xsl
      certificates.xsl
      fwadmin.xsl
      lastlog.xsl
      usercerts.xsl
      users.xsl
      attempts.xsl
      blacklist.xsl
)
INSTALL(FILES ${eurephiadm_XSLT} DESTINATION ${EUREPHIADM_XSLT_PATH}/)
