=== plugin/firewall/iptables/CMakeLists.txt ===
#  cmake rules for eurephia - iptables firewall driver
#
#  GPLv2 only - Copyright (C) 2008 - 2010
#               David Sommerseth <dazo@users.sourceforge.net>
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; version 2
#  of the License.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
PROJECT(efw-iptables C)
cmake_minimum_required(VERSION 2.6)

# Compiler settings
INCLUDE_DIRECTORIES(BEFORE ../..)

# Build rules for efw-iptables.so
ADD_LIBRARY(efw-iptables MODULE
	 efw-iptables.c
	../eurephiafw_helpers.c
)

# Link in pthread, rt, gcc_s and our common library (libeurephiacommon.a)
TARGET_LINK_LIBRARIES(efw-iptables pthread rt gcc_s common)

# Define output to be efw-iptables.so
SET_TARGET_PROPERTIES(efw-iptables PROPERTIES PREFIX "")

# Install rules
INSTALL(TARGETS efw-iptables LIBRARY DESTINATION ${PLUGINDIR})
