=== debian/changelog ===
eurephia (1.0.1-3) unstable; urgency=low

  * debian/rules: Removed configure dependency in clean target.
    Thanks Fabrice Coutadeur for pointing out. (Closes: #607247)
  * Added patch by Fabrice Coutadeur to fix FTBFS with binutils-gold.
    (Closes: #607246)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 17 Dec 2010 18:29:51 +0100

eurephia (1.0.1-2) unstable; urgency=low

  * Upstream patch to fix daemonizing issues.

  [ Dario Minucci ]
  * Added debian/watch
  * debian/control: Added Homepage field
  * Fixed manpage-has-bad-whatis-entry lintian error.
  * Fixed some typos

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Nov 2010 06:19:05 +0100

eurephia (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #600604)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 18 Oct 2010 13:37:12 +0200
