=== debian/control ===
Source: eurephia
Section: net
Priority: extra
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>= 8), openvpn (>=2), cmake, libssl-dev, libxslt1-dev, libxml2-dev, libsqlite3-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://www.eurephia.net/

Package: eurephia
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openvpn (>=2)
Recommends: sqlite3
Description: flexible OpenVPN authentication module
 This plug-in enhances OpenVPN by adding user name and password authentication.
 An eurephia user account is a combination of minimum one OpenVPN SSL
 certificate and a user name with a password assigned. It is also possible to
 setup several eurephia user names to use a shared OpenVPN certificate.
 .
 In addition, eurephia will blacklist IP addresses, certificates and user names
 on too many failed attempts and it supports dynamic update of iptables rules
 which restricts network access per connection.
 .
 All information is stored in a database and all changes to the accounts will
 be effective immediately. At the moment eurephia supports the SQLite database.
