## eurephia 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  cmake rules for eurephia - main file
 #
-#  GPLv2 only - Copyright (C) 2008 - 2010
+#  GPLv2 only - Copyright (C) 2008 - 2012
 #               David Sommerseth <dazo@users.sourceforge.net>
 #
 #  This program is free software; you can redistribute it and/or
@@ -21,7 +21,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 # Set the eurephia version
-ADD_DEFINITIONS(-DEUREPHIAVERSION="1.0.1")
+ADD_DEFINITIONS(-DEUREPHIAVERSION="1.1.0")
 
 # eurephia parameters - boolean values
 OPTION(DEBUG "Add more verbose debug information" OFF)
@@ -49,6 +49,8 @@
 INCLUDE(CheckIncludeFile)
 INCLUDE(CheckLibraryExists)
 FIND_PACKAGE(PkgConfig)
+
+MESSAGE(STATUS "Build Platform: ${CMAKE_SYSTEM_NAME}")
 
 #
 # Add support for extra eurephia modules
@@ -103,10 +105,25 @@
 # Check for some standard glibc functions which we need
 #
 
+# Check that we have enidan.h
+CHECK_INCLUDE_FILE(endian.h HAVE_ENDIAN_H)
+IF(NOT HAVE_ENDIAN_H)
+       CHECK_INCLUDE_FILE(sys/endian.h HAVE_SYS_ENDIAN_H)
+       ADD_DEFINITIONS(-DHAVE_SYS_ENDIAN_H)
+ENDIF(NOT HAVE_ENDIAN_H)
+IF(NOT HAVE_ENDIAN_H AND NOT HAVE_SYS_ENDIAN_H)
+       message(FATAL_ERROR "Missing endian.h")
+ENDIF(NOT HAVE_ENDIAN_H AND NOT HAVE_SYS_ENDIAN_H)
+
 # Check that we have dynamic loader available
 CHECK_INCLUDE_FILE(dlfcn.h HAVE_DLFCN_H)
-CHECK_LIBRARY_EXISTS(dl dlopen "" HAVE_DLOPEN)
-CHECK_LIBRARY_EXISTS(dl dlclose "" HAVE_DLCLOSE)
+IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+        CHECK_LIBRARY_EXISTS(dl dlopen "" HAVE_DLOPEN)
+        CHECK_LIBRARY_EXISTS(dl dlclose "" HAVE_DLCLOSE)
+ELSE(!${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+        CHECK_LIBRARY_EXISTS(c dlopen "" HAVE_DLOPEN)
+        CHECK_LIBRARY_EXISTS(c dlclose "" HAVE_DLCLOSE)
+ENDIF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 IF(NOT HAVE_DLOPEN OR NOT HAVE_DLCLOSE)
 	message(FATAL_ERROR "Missing proper dl library")
 ENDIF(NOT HAVE_DLOPEN OR NOT HAVE_DLCLOSE)
@@ -137,12 +154,14 @@
        # Check for libxml2
        pkg_search_module(LIBXML2 REQUIRED libxml-2.0 libxml2 libxml>=2.6)
        INCLUDE_DIRECTORIES(BEFORE  ${LIBXML2_INCLUDE_DIRS})
+       LINK_DIRECTORIES(${LIBXML2_LIBRARY_DIRS})
        ADD_DEFINITIONS(-DHAVE_LIBXML2)
        SET(EXTRA_LIBS ${EXTRA_LIBS} ${LIBXML2_LIBRARIES})
 
        # Check for libxslt
        pkg_search_module(LIBXSLT REQUIRED libxslt)
        INCLUDE_DIRECTORIES(BEFORE  ${LIBXSLT_INCLUDE_DIRS})
+       LINK_DIRECTORIES(${LIBXSLT_LIBRARY_DIRS})
        ADD_DEFINITIONS(-DHAVE_LIBXSLT)
        SET(EXTRA_LIBS ${EXTRA_LIBS} ${LIBXSLT_LIBRARIES})
