=== plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  cmake rules for eurephia - OpenVPN authentication plugin
 #
-#  GPLv2 only - Copyright (C) 2008 - 2010
+#  GPLv2 only - Copyright (C) 2008 - 2012
 #               David Sommerseth <dazo@users.sourceforge.net>
 #
 #  This program is free software; you can redistribute it and/or
@@ -96,7 +96,7 @@
 SET_TARGET_PROPERTIES(eurephia-auth PROPERTIES PREFIX "")
 
 # Link in libraries
-TARGET_LINK_LIBRARIES(eurephia-auth dl pthread rt crypto common)
+TARGET_LINK_LIBRARIES(eurephia-auth pthread rt crypto common)
 
 # Install rules
 INSTALL(TARGETS eurephia-auth  LIBRARY DESTINATION ${PLUGINDIR})
