=== database/sqlite/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  cmake rules for eurephia - SQLite3 database driver
 #
-#  GPLv2 only - Copyright (C) 2008 - 2010
+#  GPLv2 only - Copyright (C) 2008 - 2012
 #               David Sommerseth <dazo@users.sourceforge.net>
 #
 #  This program is free software; you can redistribute it and/or
@@ -23,13 +23,15 @@
 INCLUDE(CheckLibraryExists) 
 
 # Parameters the SQLite3 driver needs
-SET(SQLITE3PREFIX "/etc/openvpn" CACHE STRING "Install prefix for the eurephia SQLite3 database")
+SET(SQLITE3PREFIX "/var/lib/eurephia" CACHE STRING "Install prefix for the eurephia SQLite3 database")
 
 #
 #  Check for the SQLite3 library
 #
 find_package(PkgConfig)
 pkg_search_module(SQLITE3 REQUIRED sqlite3)
+INCLUDE_DIRECTORIES(BEFORE ${SQLITE3_INCLUDE_DIRS})
+LINK_DIRECTORIES(${SQLITE3_LIBRARY_DIRS})
 
 FIND_PROGRAM(SQLITE3BIN sqlite3 /usr)
 IF(NOT SQLITE3BIN)
@@ -67,7 +69,7 @@
 # Build instructions
 #
 ADD_LIBRARY(edb-sqlite SHARED ${edb_sqlite_SRC})
-TARGET_LINK_LIBRARIES(edb-sqlite common)
+TARGET_LINK_LIBRARIES(edb-sqlite common ${SQLITE3_LIBRARIES})
 SET_TARGET_PROPERTIES( edb-sqlite PROPERTIES COMPILE_FLAGS -fPIC)
 
 IF(SQLITE3BIN)
