=== debian/changelog ===
eurephia (1.1.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957184)
    - Use fcommon with CFLAGS.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Nov 2020 20:44:45 +0000

eurephia (1.1.0-6) unstable; urgency=medium

  * Make build reproducible. Thanks Chris Lamb for the patch!
    (Closes: #831353)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 16 Sep 2016 09:38:26 +0200

eurephia (1.1.0-5) unstable; urgency=medium

  * Add -fPIC -std=gnu89 to CFLAGS. (Closes: #777845)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 07 Jul 2015 17:14:38 +0200

eurephia (1.1.0-4) unstable; urgency=low

  * Add -ldl to LD_FLAGS. (Closes: #713598)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 26 Jun 2013 13:09:51 +0200

eurephia (1.1.0-3) unstable; urgency=low

  * Upload to unstable.
  * Moved to dh.
  * Bumped Standards-Version to 3.9.4
  * Moved debian/compat to 9

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 05 Jun 2013 14:42:14 +0200

eurephia (1.1.0-2) unstable; urgency=low

  * Apply patches from upstream:
   - double-free.patch
    Fixed a double-free situation with dev-type is not obvious
   - sql-error-handling.patch
    Improve error handling if memory alloc fails for SQL query string

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 26 Oct 2012 13:26:08 +0200

eurephia (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Removed debian/patches/* (all applied upstream)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 24 Oct 2012 14:58:09 +0200
