=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 8), openvpn (>=2), cmake, libssl-dev, libxslt1-dev, libxml2-dev, libsqlite3-dev, pkg-config
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), openvpn (>=2), cmake, libssl-dev, libxslt1-dev, libxml2-dev, libsqlite3-dev, pkg-config
+Standards-Version: 3.9.4
 Homepage: http://www.eurephia.net/
 
 Package: eurephia
