=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	$(shell DEB_CFLAGS_MAINT_APPEND="-fPIC -std=gnu89 -fcommon" dpkg-buildflags --export=configure) ./configure --prefix /usr --plug-in --fw-iptables --db-sqlite3 --sqlite3-path /var/lib/eurephia --eurephiadm --openvpn-src /usr/include/openvpn
override_dh_auto_clean:
	rm -rf configure.log
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	install -p -m 755 utils/eurephia_init $(CURDIR)/debian/eurephia/usr/bin/
	install -p -m 755 utils/eurephia_saltdecode $(CURDIR)/debian/eurephia/usr/bin/
	rm -f debian/eurephia/var/lib/eurephia/eurephiadb-template
