## eurephia 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #  cmake rules for eurephia - main file
 #
-#  GPLv2 only - Copyright (C) 2008 - 2012
-#               David Sommerseth <dazo@users.sourceforge.net>
+#  GPLv2 only - Copyright (C) 2008 - 2019
+#               David Sommerseth <dazo@eurephia.org>
 #
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License
@@ -18,7 +18,7 @@
 #  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 #
 PROJECT(eurephia C)
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.13)
 
 # Set the eurephia version
 ADD_DEFINITIONS(-DEUREPHIAVERSION="1.1.0")
@@ -120,6 +120,7 @@
 IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
         CHECK_LIBRARY_EXISTS(dl dlopen "" HAVE_DLOPEN)
         CHECK_LIBRARY_EXISTS(dl dlclose "" HAVE_DLCLOSE)
+        SET(EXTRA_LIBS ${EXTRA_LIBS} -ldl)
 ELSE(!${CMAKE_SYSTEM_NAME} MATCHES "Linux")
         CHECK_LIBRARY_EXISTS(c dlopen "" HAVE_DLOPEN)
         CHECK_LIBRARY_EXISTS(c dlclose "" HAVE_DLCLOSE)
