=== common/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  cmake rules for eurephia - common static library
 #
-#  GPLv2 only - Copyright (C) 2008 - 2010
+#  GPLv2 only - Copyright (C) 2008 - 2012
 #               David Sommerseth <dazo@users.sourceforge.net>
 #
 #  This program is free software; you can redistribute it and/or
@@ -45,6 +45,7 @@
              eurephia_log.c
              eurephia_nullsafe.c
              eurephia_values.c
+             eurephia_cfgfile.c
              passwd.c
              randstr.c
              sha512.c
