=== eurephiadm/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  cmake rules for eurephia - eurephiadm, console admin utility
 #
-#  GPLv2 only - Copyright (C) 2008 - 2010
+#  GPLv2 only - Copyright (C) 2008 - 2012
 #               David Sommerseth <dazo@users.sourceforge.net>
 #
 #  This program is free software; you can redistribute it and/or
@@ -31,6 +31,14 @@
         ADD_DEFINITIONS(-DFIREWALL)
 ENDIF(FIREWALL)
 
+ADD_CUSTOM_COMMAND(
+        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/buildinfo.h
+        COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/mk_buildinfo.sh
+        DEPENDS commands/buildinfo.c
+        COMMENT "Creating buildinfo.h"
+)
+SET_DIRECTORY_PROPERTIES(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES buildinfo.h)
+
 # Build rules for eurephiadm
 ADD_EXECUTABLE(eurephiadm
         eurephiadm.c
@@ -50,6 +58,8 @@
         commands/adminaccess.c
         commands/edit_config.c
         commands/fwprofiles.c
+        buildinfo.h
+        commands/buildinfo.c
         ../common/eurephiadb_session_common.c
 )
 
@@ -69,7 +79,7 @@
 
 # Link in the following dynamic libraries with eurephiadm.
 # ${EXTRA_LIBS} contains libxml2, libxslt and openssl library names
-TARGET_LINK_LIBRARIES(eurephiadm dl crypto common ${EXTRA_LIBS})
+TARGET_LINK_LIBRARIES(eurephiadm crypto common ${EXTRA_LIBS})
 
 # Install rules for eurephiadm
 INSTALL(TARGETS eurephiadm RUNTIME DESTINATION ${BINDIR})
