=== utils/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  cmake rules for eurephia - utilities
 #
-#  GPLv2 only - Copyright (C) 2008 - 2010
+#  GPLv2 only - Copyright (C) 2008 - 2012
 #               David Sommerseth <dazo@users.sourceforge.net>
 #
 #  This program is free software; you can redistribute it and/or
@@ -40,8 +40,9 @@
                  ../eurephiadm/get_console_input.c
                  ../eurephiadm/argparser.c
                  ../eurephiadm/client_context.c
+                 ../eurephiadm/client_config.c
 		)
-  TARGET_LINK_LIBRARIES(eurephia_init dl crypto common ${EXTRA_LIBS})
+  TARGET_LINK_LIBRARIES(eurephia_init crypto common ${EXTRA_LIBS})
 
   # Define the saltdecode build
   ADD_EXECUTABLE(eurephia_saltdecode
