=== plugin/firewall/iptables/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  cmake rules for eurephia - iptables firewall driver
 #
-#  GPLv2 only - Copyright (C) 2008 - 2010
+#  GPLv2 only - Copyright (C) 2008 - 2012
 #               David Sommerseth <dazo@users.sourceforge.net>
 #
 #  This program is free software; you can redistribute it and/or
