=== debian/changelog ===
eurephia (1.1.1-3) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1073320)
  * Switch from transitional pkg-config to pkgconf.
  * Declare Rules-Requires-Root: no.
  * Build verbosely.
  * Set locale to POSIX for reproducible timestamps.
  * Fix omission of CPPFLAGS.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 Jun 2024 09:36:49 +0200

eurephia (1.1.1-2) unstable; urgency=high

  * QA upload.
  * debian/rules: Disable parallel build to circumvent Make dependency
    bugs.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Nov 2022 16:10:24 -0500

eurephia (1.1.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.1.1.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control:
    + Bump Standards-Version to 4.6.1.
    + Bump debhelper compat to v13.
    + Fix Vcs-* fields.
  * debian/rules: Enable full hardening.
  * debian/watch: Fix monitoring script.
  * debian/copyright: Minor update.
  * debian/patches: Drop patches merged upstream.
  * debian/patches: Add patch to skip RPATH (lintian).

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 14:14:43 -0500

eurephia (1.1.0-7) unstable; urgency=medium

  * Orphan package. Set maintainer to QA.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 24 Sep 2022 12:59:17 +0200
