=== debian/control ===
Source: eurephia
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libsqlite3-dev,
 libssl-dev,
 libxml2-dev,
 libxslt1-dev,
 openvpn (>=2),
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: http://www.eurephia.net/
Vcs-Git: https://salsa.debian.org/debian/eurephia.git
Vcs-Browser: https://salsa.debian.org/debian/eurephia

Package: eurephia
Architecture: any
Depends:
 openvpn (>=2),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 sqlite3,
Description: flexible OpenVPN authentication module
 This plug-in enhances OpenVPN by adding user name and password authentication.
 An eurephia user account is a combination of minimum one OpenVPN SSL
 certificate and a user name with a password assigned. It is also possible to
 setup several eurephia user names to use a shared OpenVPN certificate.
 .
 In addition, eurephia will blacklist IP addresses, certificates and user names
 on too many failed attempts and it supports dynamic update of iptables rules
 which restricts network access per connection.
 .
 All information is stored in a database and all changes to the accounts will
 be effective immediately. At the moment eurephia supports the SQLite database.
