=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -fPIC -std=gnu89 -fcommon

include /usr/share/dpkg/buildflags.mk

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export VERBOSE = 1
endif

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix /usr --plug-in --fw-iptables --db-sqlite3 --sqlite3-path /var/lib/eurephia --eurephiadm --openvpn-src /usr/include/openvpn

execute_before_dh_auto_clean:
	rm -rf configure.log

execute_after_dh_auto_install:
	install -p -m 755 utils/eurephia_init $(CURDIR)/debian/eurephia/usr/bin/
	install -p -m 755 utils/eurephia_saltdecode $(CURDIR)/debian/eurephia/usr/bin/
	rm -f debian/eurephia/var/lib/eurephia/eurephiadb-template
