=== debian/watch ===
version=4
opts="" \
 https://sf.net/eurephia/ eurephia-@ANY_VERSION@@ARCHIVE_EXT@
